[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Up2date problem



Hey all,

Having a problem with up2date.  When I run it I get the following:

#up2date -l
Traceback (innermost last):
  File "/usr/sbin/up2date", line 835, in ?
    main()
  File "/usr/sbin/up2date", line 623, in main
    pkgNames, fullUpdate, dryRun = dry_run))
  File "/usr/sbin/up2date", line 778, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 57, in run
    self.__findPackagesToUpdate()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 89, in
__findPackagesToUpdate
    plist.run()
  File "/usr/share/rhn/up2date_client/packageList.py", line 85, in run
    self.addObsoletePackages(obsList)
  File "/usr/share/rhn/up2date_client/packageList.py", line 109, in
addObsoletePackages
    for p in obsoletePackages:
TypeError: loop over non-sequence

Any idea what's causing this?  I had some corruption on the /usr
partition that was fixed with fsck (yes, I unmounted /usr first) so I'm
guessing something is still hosed up from that.  Just not sure what it
is.  I've already removed and re-installed up2date but still get the
same problem.  Are the *.py file python files?  Could that be the
problem?

Thanks,

Jeff



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]